#include "bits/stdc++.h"
using namespace std;


int main() {
    int n,m;
    cin>>n>>m;
    map<int,int>mp;
    vector<int>ans;
    for(int i=0;i<m;i++){
        int a;cin>>a;
        mp[a]++;
        if(mp[a]==n) ans.push_back(a);
    }
    cout<<ans.size()<<'\n';
    for(int z:ans) cout<<z<<' ';
}